Bug 771221 - init.d script for RedHat doesn't create PID file
init.d script for RedHat doesn't create PID file
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: scripts (Show other bugs)
3.2.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kaushik
Ujjwala
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-02 10:42 EST by Jaroslav Pulchart
Modified: 2013-08-19 20:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for glusterd init.d script (1.91 KB, patch)
2012-01-02 10:42 EST, Jaroslav Pulchart
no flags Details | Diff

  None (edit)
Description Jaroslav Pulchart 2012-01-02 10:42:01 EST
Created attachment 550266 [details]
patch for glusterd init.d script

Description of problem:
init.d script for RedHat doesn't create PID file

Version-Release number of selected component (if applicable):
3.2.5
  
Actual results:
Gluster daemon started by init scripts for RedHat doesn't create /var/run/glusterd.pid file.

Expected results:
When glusterd is started by glusterd init script for RedHat the /var/run/glusterd.pid pidfile will be created with PID of gluster daemon.

Additional info:
-
Comment 1 kaushik 2012-01-11 04:09:41 EST
Thanks for the fix Jaroslav Pulchart , and the same fix is applicable for all the releases as well.
You could send the fix yourself:

http://www.gluster.org/community/documentation/index.php/Development_Work_Flow

Let us know if you need any help regarding the same.
Comment 2 Anand Avati 2012-02-03 11:16:24 EST
CHANGE: http://review.gluster.com/2668 (extras: create PID file for glusterd when started from init scripts) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Sachin Ghai 2012-06-01 02:04:45 EDT
Verified with following glusterfs packages on RHS2.0:

glusterfs-fuse-3.3.0qa45-1.el6.x86_64
glusterfs-3.3.0qa45-1.el6.x86_64
glusterfs-server-3.3.0qa45-1.el6.x86_64
glusterfs-rdma-3.3.0qa45-1.el6.x86_64
org.apache.hadoop.fs.glusterfs-glusterfs-0.20.2_0.1-1.noarch
glusterfs-geo-replication-3.3.0qa45-1.el6.x86_64
[root@dhcp201-154 run]# 


When we restart the glusterd service, /var/run/gluster.pid file is updated with the PID of glusterd.

--
[root@dhcp201-154 run]# pwd
/var/run
[root@dhcp201-154 run]# ll -h | grep glusterd.pid 
-rw-r--r--. 1 root      root         5 Jun  1 04:32 glusterd.pid
[root@dhcp201-154 run]# cat glusterd.pid 
6908
[root@dhcp201-154 run]# ps -ef | grep -i glusterd
root      6908     1  0 04:32 ?        00:00:00 /usr/sbin/glusterd --pid-file=/var/run/glusterd.pid
--

Note You need to log in before you can comment on or make changes to this bug.